package cell.location;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = false;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "cell.location", "cell.location.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "cell.location", "cell.location.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "cell.location.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
		return true;
	}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
		this.setIntent(intent);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public com.rootsoft.locationmanager.LocationManager1 _v5 = null;
public anywheresoftware.b4a.objects.LabelWrapper _labellat = null;
public anywheresoftware.b4a.objects.LabelWrapper _labellon = null;
public anywheresoftware.b4a.objects.WebViewWrapper _webview1 = null;
public static double _v0 = 0;
public static double _vv1 = 0;
public static double _vv2 = 0;
public static double _vv3 = 0;
public static double _scale_distance = 0;
public static int _vv4 = 0;
public static int _vv5 = 0;
public static int _v6 = 0;
public cell.location.main._coordlonglat _vv6 = null;
public static boolean _vv7 = false;
public static boolean _vv0 = false;
public static boolean _vvv1 = false;
public static boolean _vvv2 = false;
public static boolean _vvv3 = false;
public static boolean _vvv4 = false;
public anywheresoftware.b4a.http.HttpClientWrapper _vvv5 = null;
public anywheresoftware.b4a.objects.LabelWrapper _label1 = null;

public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}
public static class _coordlonglat{
public boolean IsInitialized;
public double Lng;
public double Lat;
public void Initialize() {
IsInitialized = true;
Lng = 0;
Lat = 0;
}
@Override
		public String toString() {
			return BA.TypeToString(this, false);
		}}
public static String  _activity_create(boolean _firsttime) throws Exception{
 //BA.debugLineNum = 46;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
 //BA.debugLineNum = 48;BA.debugLine="Location.Initialize(\"Location\")";
mostCurrent._v5.Initialize(processBA,"Location");
 //BA.debugLineNum = 49;BA.debugLine="Activity.LoadLayout(\"latlontest\")";
mostCurrent._activity.LoadLayout("latlontest",mostCurrent.activityBA);
 //BA.debugLineNum = 51;BA.debugLine="ZoomLevel = 15";
_v6 = (int) (15);
 //BA.debugLineNum = 53;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
 //BA.debugLineNum = 59;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
 //BA.debugLineNum = 60;BA.debugLine="Location.stopMobileListening";
mostCurrent._v5.stopMobileListening();
 //BA.debugLineNum = 61;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
 //BA.debugLineNum = 55;BA.debugLine="Sub Activity_Resume";
 //BA.debugLineNum = 56;BA.debugLine="Location.requestMobileLocation ' .requestLocation";
mostCurrent._v5.requestMobileLocation();
 //BA.debugLineNum = 57;BA.debugLine="End Sub";
return "";
}
public static String  _v7(float _centerlat,float _centerlong,int _zoom,boolean _maptypecontrol,boolean _mapzoomcontrol,String _zoomcontrolposition,boolean _mapscalecontrol,String _scalecontrolposition,boolean _dispmarkercenter,double _markerlat,double _markerlong,boolean _dispmarkers,boolean _disppolyline,String _polylinecolor,float _polylineopacity,int _polylinewidth) throws Exception{
String _htmlcode = "";
int _i = 0;
int _j = 0;
 //BA.debugLineNum = 83;BA.debugLine="Sub DispMap(CenterLat As Float, CenterLong As Float, Zoom As Int, MapTypeControl As Boolean, MapZoomControl As Boolean, ZoomControlPosition As String, MapScaleControl As Boolean, ScaleControlPosition As String, DispMarkerCenter As Boolean, MarkerLat As Double, MarkerLong As Double, DispMarkers As Boolean, DispPolyline As Boolean, PolyLineColor As String, PolyLineOpacity As Float, PolyLineWidth As Int)";
 //BA.debugLineNum = 101;BA.debugLine="Dim HtmlCode As String";
_htmlcode = "";
 //BA.debugLineNum = 102;BA.debugLine="Dim i, j As Int";
_i = 0;
_j = 0;
 //BA.debugLineNum = 104;BA.debugLine="HtmlCode = \"<!DOCTYPE html><html><head><meta name='viewport' content='initial-scale=1.0, user-scalable=no' /><style type='text/css'>  html { height: 100% }  body { height: 100%; margin: 0px; padding: 0px }#map_canvas { height: 100% }</style><script type='text/javascript' src='http://maps.google.com/maps/api/js?sensor=true'></script><script type='text/javascript'> function initialize() {var centerlatlng = new google.maps.LatLng(\" & CenterLat & \",\" & CenterLong & \"); var myOptions = { zoom: \"&Zoom&\", center: centerlatlng, disableDefaultUI: true, zoomControl: \"& MapZoomControl & \", zoomControlOptions: {position: google.maps.ControlPosition.\" & ZoomControlPosition & \"}, scaleControl: \"& MapScaleControl & \", scaleControlOptions: {position: google.maps.ControlPosition.\" & ScaleControlPosition & \"}, mapTypeControl: \"& MapTypeControl& \", mapTypeId: google.maps.MapTypeId.ROADMAP }; var map = new google.maps.Map(document.getElementById('map_canvas'),  myOptions)\"";
_htmlcode = "<!DOCTYPE html><html><head><meta name='viewport' content='initial-scale=1.0, user-scalable=no' /><style type='text/css'>  html { height: 100% }  body { height: 100%; margin: 0px; padding: 0px }#map_canvas { height: 100% }</style><script type='text/javascript' src='http://maps.google.com/maps/api/js?sensor=true'></script><script type='text/javascript'> function initialize() {var centerlatlng = new google.maps.LatLng("+BA.NumberToString(_centerlat)+","+BA.NumberToString(_centerlong)+"); var myOptions = { zoom: "+BA.NumberToString(_zoom)+", center: centerlatlng, disableDefaultUI: true, zoomControl: "+BA.ObjectToString(_mapzoomcontrol)+", zoomControlOptions: {position: google.maps.ControlPosition."+_zoomcontrolposition+"}, scaleControl: "+BA.ObjectToString(_mapscalecontrol)+", scaleControlOptions: {position: google.maps.ControlPosition."+_scalecontrolposition+"}, mapTypeControl: "+BA.ObjectToString(_maptypecontrol)+", mapTypeId: google.maps.MapTypeId.ROADMAP }; var map = new google.maps.Map(document.getElementById('map_canvas'),  myOptions)";
 //BA.debugLineNum = 109;BA.debugLine="HtmlCode = HtmlCode & \"; var markerc = new google.maps.Marker({	position: new google.maps.LatLng(\" & CenterLat & \",\" & CenterLong & \"),map: map, title: 'Antena',clickable: false,icon: 'http://www.google.com/mapfiles/arrow.png' })\"";
_htmlcode = _htmlcode+"; var markerc = new google.maps.Marker({	position: new google.maps.LatLng("+BA.NumberToString(_centerlat)+","+BA.NumberToString(_centerlong)+"),map: map, title: 'Antena',clickable: false,icon: 'http://www.google.com/mapfiles/arrow.png' })";
 //BA.debugLineNum = 111;BA.debugLine="HtmlCode = HtmlCode & \"; }</script></head><body onload='initialize()'>  <div id='map_canvas' style='width:100%; height:100%'></div></body></html>\"";
_htmlcode = _htmlcode+"; }</script></head><body onload='initialize()'>  <div id='map_canvas' style='width:100%; height:100%'></div></body></html>";
 //BA.debugLineNum = 113;BA.debugLine="WebView1.LoadHtml(HtmlCode)";
mostCurrent._webview1.LoadHtml(_htmlcode);
 //BA.debugLineNum = 115;BA.debugLine="End Sub";
return "";
}

public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        main._process_globals();
		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}public static String  _globals() throws Exception{
 //BA.debugLineNum = 18;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 22;BA.debugLine="Dim Location As LocationManager";
mostCurrent._v5 = new com.rootsoft.locationmanager.LocationManager1();
 //BA.debugLineNum = 24;BA.debugLine="Dim LabelLat As Label";
mostCurrent._labellat = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 25;BA.debugLine="Dim LabelLon As Label";
mostCurrent._labellon = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 26;BA.debugLine="Dim WebView1 As WebView";
mostCurrent._webview1 = new anywheresoftware.b4a.objects.WebViewWrapper();
 //BA.debugLineNum = 27;BA.debugLine="Dim xLatitude As Double";
_v0 = 0;
 //BA.debugLineNum = 28;BA.debugLine="Dim xLongitude As Double";
_vv1 = 0;
 //BA.debugLineNum = 30;BA.debugLine="Dim ScaleLat, ScaleLong, Scale_Distance As Double";
_vv2 = 0;
_vv3 = 0;
_scale_distance = 0;
 //BA.debugLineNum = 31;BA.debugLine="Dim TileWidth, TileHeight As Int";
_vv4 = 0;
_vv5 = 0;
 //BA.debugLineNum = 32;BA.debugLine="Dim ZoomLevel As Int";
_v6 = 0;
 //BA.debugLineNum = 34;BA.debugLine="Type CoordLongLat(Lng As Double, Lat As Double)";
;
 //BA.debugLineNum = 35;BA.debugLine="Dim CenterLonLat As CoordLongLat";
mostCurrent._vv6 = new cell.location.main._coordlonglat();
 //BA.debugLineNum = 36;BA.debugLine="Dim DispMapTypeControl As Boolean		: DispMapTypeControl = True";
_vv7 = false;
 //BA.debugLineNum = 36;BA.debugLine="Dim DispMapTypeControl As Boolean		: DispMapTypeControl = True";
_vv7 = anywheresoftware.b4a.keywords.Common.True;
 //BA.debugLineNum = 37;BA.debugLine="Dim DispMapScaleControl As Boolean	: DispMapScaleControl = True";
_vv0 = false;
 //BA.debugLineNum = 37;BA.debugLine="Dim DispMapScaleControl As Boolean	: DispMapScaleControl = True";
_vv0 = anywheresoftware.b4a.keywords.Common.True;
 //BA.debugLineNum = 38;BA.debugLine="Dim DispMapZoomControl As Boolean		: DispMapZoomControl = True";
_vvv1 = false;
 //BA.debugLineNum = 38;BA.debugLine="Dim DispMapZoomControl As Boolean		: DispMapZoomControl = True";
_vvv1 = anywheresoftware.b4a.keywords.Common.True;
 //BA.debugLineNum = 39;BA.debugLine="Dim DispMapCenterMarker As Boolean	: DispMapCenterMarker = True";
_vvv2 = false;
 //BA.debugLineNum = 39;BA.debugLine="Dim DispMapCenterMarker As Boolean	: DispMapCenterMarker = True";
_vvv2 = anywheresoftware.b4a.keywords.Common.True;
 //BA.debugLineNum = 40;BA.debugLine="Dim DispMapMarkers As Boolean				: DispMapMarkers = True";
_vvv3 = false;
 //BA.debugLineNum = 40;BA.debugLine="Dim DispMapMarkers As Boolean				: DispMapMarkers = True";
_vvv3 = anywheresoftware.b4a.keywords.Common.True;
 //BA.debugLineNum = 41;BA.debugLine="Dim DispMapPolyline As Boolean			: DispMapPolyline = False";
_vvv4 = false;
 //BA.debugLineNum = 41;BA.debugLine="Dim DispMapPolyline As Boolean			: DispMapPolyline = False";
_vvv4 = anywheresoftware.b4a.keywords.Common.False;
 //BA.debugLineNum = 42;BA.debugLine="Dim Http As HttpClient";
mostCurrent._vvv5 = new anywheresoftware.b4a.http.HttpClientWrapper();
 //BA.debugLineNum = 43;BA.debugLine="Dim Label1 As Label";
mostCurrent._label1 = new anywheresoftware.b4a.objects.LabelWrapper();
 //BA.debugLineNum = 44;BA.debugLine="End Sub";
return "";
}
public static String  _location_locationchanged(double _longitude,double _latitude,double _altitude,float _accuracy,float _bearing,String _provider,float _speed,long _time) throws Exception{
 //BA.debugLineNum = 64;BA.debugLine="Sub Location_LocationChanged (Longitude As Double, Latitude As Double, Altitude As Double, Accuracy As Float, Bearing As Float, Provider As String, Speed As Float, Time As Long)";
 //BA.debugLineNum = 65;BA.debugLine="LabelLat.Text=Latitude";
mostCurrent._labellat.setText((Object)(_latitude));
 //BA.debugLineNum = 66;BA.debugLine="LabelLon.Text=Longitude";
mostCurrent._labellon.setText((Object)(_longitude));
 //BA.debugLineNum = 67;BA.debugLine="xLatitude=Latitude";
_v0 = _latitude;
 //BA.debugLineNum = 68;BA.debugLine="xLongitude=Longitude";
_vv1 = _longitude;
 //BA.debugLineNum = 69;BA.debugLine="Label1.Text=Accuracy";
mostCurrent._label1.setText((Object)(_accuracy));
 //BA.debugLineNum = 74;BA.debugLine="ShowMap";
_vvv6();
 //BA.debugLineNum = 79;BA.debugLine="End Sub";
return "";
}
public static String  _location_providerdisabled(String _provider) throws Exception{
 //BA.debugLineNum = 117;BA.debugLine="Sub Location_ProviderDisabled (Provider As String)";
 //BA.debugLineNum = 120;BA.debugLine="End Sub";
return "";
}
public static String  _location_providerenabled(String _provider) throws Exception{
 //BA.debugLineNum = 122;BA.debugLine="Sub Location_ProviderEnabled (Provider As String)";
 //BA.debugLineNum = 125;BA.debugLine="End Sub";
return "";
}
public static String  _location_statuschanged(String _provider,int _status) throws Exception{
 //BA.debugLineNum = 127;BA.debugLine="Sub Location_StatusChanged (Provider As String, Status As Int)";
 //BA.debugLineNum = 132;BA.debugLine="End Sub";
return "";
}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 12;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 16;BA.debugLine="End Sub";
return "";
}
public static String  _vvv6() throws Exception{
 //BA.debugLineNum = 80;BA.debugLine="Sub ShowMap";
 //BA.debugLineNum = 81;BA.debugLine="DispMap(xLatitude, xLongitude, ZoomLevel, DispMapTypeControl, DispMapZoomControl, \"LEFT_TOP\", DispMapScaleControl, \"TOP_LEFT\", DispMapCenterMarker, xLatitude, xLongitude, DispMapMarkers, DispMapPolyline, \"ff0000\", 0.5, 3)";
_v7((float) (_v0),(float) (_vv1),_v6,_vv7,_vvv1,"LEFT_TOP",_vv0,"TOP_LEFT",_vvv2,_v0,_vv1,_vvv3,_vvv4,"ff0000",(float) (0.5),(int) (3));
 //BA.debugLineNum = 82;BA.debugLine="End Sub";
return "";
}
}
